Mave
Get Mave thread
Get full thread details including all messages, sources, and personas used.
GET
/
mave
/
threads
/
{threadId}
Get Mave thread
curl --request GET \
--url https://app.mavera.io/api/v1/mave/threads/{threadId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/mave/threads/{threadId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/mave/threads/{threadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/mave/threads/{threadId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "mave_thread",
"title": "<string>",
"current_phase": "<string>",
"complexity": "<string>",
"credits_used": 123,
"workspace_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"messages": [
{
"id": "<string>",
"content": "<string>",
"persona": {
"id": "<string>",
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z"
}
],
"sources": [
{
"id": "<string>",
"title": "<string>",
"url": "<string>",
"snippet": "<string>",
"source_type": "<string>",
"domain": "<string>"
}
],
"personas_used": [
{
"id": "<string>",
"name": "<string>",
"category": "<string>"
}
]
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}Authorizations
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Path Parameters
Thread ID
Response
Thread details
Full thread details with messages and sources
Available options:
mave_thread Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get Mave thread
curl --request GET \
--url https://app.mavera.io/api/v1/mave/threads/{threadId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/mave/threads/{threadId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/mave/threads/{threadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/mave/threads/{threadId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "mave_thread",
"title": "<string>",
"current_phase": "<string>",
"complexity": "<string>",
"credits_used": 123,
"workspace_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"messages": [
{
"id": "<string>",
"content": "<string>",
"persona": {
"id": "<string>",
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z"
}
],
"sources": [
{
"id": "<string>",
"title": "<string>",
"url": "<string>",
"snippet": "<string>",
"source_type": "<string>",
"domain": "<string>"
}
],
"personas_used": [
{
"id": "<string>",
"name": "<string>",
"category": "<string>"
}
]
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}